curl --request POST 'https://core.getfaceage.com/api/v1/business?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"user_id": 25659,
"name": "My Beauty Business",
"main_domain": "mybeauty.com",
"site": "https://www.mybeauty.com",
"country_id": "22",
"business_size": "small",
"token": "NZdYQbh2Zds9dg379NoL0H",
"after_analyze_status": "product",
"logo": "storage/logo/1245/670a365bb0adc.png",
"updated_at": "2024-03-12T07:39:25.000000Z",
"created_at": "2024-03-12T07:39:25.000000Z",
"id": 33598
}
}
{
"message": "Unauthenticated."
}
{
"message": "The domain must be unique.",
"errors": {
"site": ["The domain must be unique."]
}
}
Business management
Create a business
Create a new business and get its Face Age ID.
POST
/
business
curl --request POST 'https://core.getfaceage.com/api/v1/business?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"user_id": 25659,
"name": "My Beauty Business",
"main_domain": "mybeauty.com",
"site": "https://www.mybeauty.com",
"country_id": "22",
"business_size": "small",
"token": "NZdYQbh2Zds9dg379NoL0H",
"after_analyze_status": "product",
"logo": "storage/logo/1245/670a365bb0adc.png",
"updated_at": "2024-03-12T07:39:25.000000Z",
"created_at": "2024-03-12T07:39:25.000000Z",
"id": 33598
}
}
{
"message": "Unauthenticated."
}
{
"message": "The domain must be unique.",
"errors": {
"site": ["The domain must be unique."]
}
}
Creates a new business. The response includes the business
id and its unique token (Face Age ID).
Query parameters
string
required
Your website URL, for example
https://www.your-domain.com. Must be unique.string
required
Your business name.
integer
required
Country ID — the
value field from Get countries.string
required
One of
small, medium, large, very_large.boolean
Nullable.
true or false.string
Nullable. Logo path returned by Upload a logo. Supported image types:
jpeg, png, jpg, ico.Response
boolean
true when the business is created.object
The new business, including
id, token, name, site, main_domain, country_id, business_size, logo and timestamps.curl --request POST 'https://core.getfaceage.com/api/v1/business?site=https://www.your-domain.com&name=your_business_name&country=22&business_size=small&after_analyze_status=&logo=/images/logo.png' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"user_id": 25659,
"name": "My Beauty Business",
"main_domain": "mybeauty.com",
"site": "https://www.mybeauty.com",
"country_id": "22",
"business_size": "small",
"token": "NZdYQbh2Zds9dg379NoL0H",
"after_analyze_status": "product",
"logo": "storage/logo/1245/670a365bb0adc.png",
"updated_at": "2024-03-12T07:39:25.000000Z",
"created_at": "2024-03-12T07:39:25.000000Z",
"id": 33598
}
}
{
"message": "Unauthenticated."
}
{
"message": "The domain must be unique.",
"errors": {
"site": ["The domain must be unique."]
}
}